org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetSumValueSource

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.TaxonomyFacetSumValueSource

-     public class TaxonomyFacetSumValueSource
      extends FloatTaxonomyFacets

  Aggregates sum of values from `FunctionValues.doubleVal(int)`, for each facet label.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaxonomyFacetSumValueSource.ScoreValueSource` Deprecated. Use `DoubleValuesSource.SCORES`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

      `values`

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `children, config, indexFieldName, siblings, taxoReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyFacetSumValueSource(OrdinalsReader ordinalsReader, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, DoubleValuesSource vs)` Aggreggates float facet values from the provided `DoubleValuesSource`, and pulls ordinals from the provided `OrdinalsReader`.
    `TaxonomyFacetSumValueSource(OrdinalsReader ordinalsReader, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, ValueSource valueSource)` Deprecated. use `TaxonomyFacetSumValueSource(OrdinalsReader, TaxonomyReader, FacetsConfig, FacetsCollector, DoubleValuesSource)`
    `TaxonomyFacetSumValueSource(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, DoubleValuesSource valueSource)` Aggreggates double facet values from the provided `DoubleValuesSource`, pulling ordinals using `DocValuesOrdinalsReader` against the default indexed facet field `FacetsConfig.DEFAULT_INDEX_FIELD_NAME`.
    `TaxonomyFacetSumValueSource(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, ValueSource valueSource)` Deprecated. `TaxonomyFacetSumValueSource(TaxonomyReader, FacetsConfig, FacetsCollector, DoubleValuesSource)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

      `getSpecificValue, getTopChildren, rollup`

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `getAllDims, verifyDim`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyFacetSumValueSource

          @Deprecated
          public TaxonomyFacetSumValueSource(TaxonomyReader taxoReader,
                                                         FacetsConfig config,
                                                         FacetsCollector fc,
                                                         ValueSource valueSource)
                                                  throws IOException

      Deprecated. `TaxonomyFacetSumValueSource(TaxonomyReader, FacetsConfig, FacetsCollector, DoubleValuesSource)`
      Aggreggates double facet values from the provided `ValueSource`, pulling ordinals using `DocValuesOrdinalsReader` against the default indexed facet field `FacetsConfig.DEFAULT_INDEX_FIELD_NAME`.
      Throws:
        `IOException`

    - #### TaxonomyFacetSumValueSource

          public TaxonomyFacetSumValueSource(TaxonomyReader taxoReader,
                                             FacetsConfig config,
                                             FacetsCollector fc,
                                             DoubleValuesSource valueSource)
                                      throws IOException

      Aggreggates double facet values from the provided `DoubleValuesSource`, pulling ordinals using `DocValuesOrdinalsReader` against the default indexed facet field `FacetsConfig.DEFAULT_INDEX_FIELD_NAME`.
      Throws:
        `IOException`

    - #### TaxonomyFacetSumValueSource

          @Deprecated
          public TaxonomyFacetSumValueSource(OrdinalsReader ordinalsReader,
                                                         TaxonomyReader taxoReader,
                                                         FacetsConfig config,
                                                         FacetsCollector fc,
                                                         ValueSource valueSource)
                                                  throws IOException

      Deprecated. use `TaxonomyFacetSumValueSource(OrdinalsReader, TaxonomyReader, FacetsConfig, FacetsCollector, DoubleValuesSource)`
      Aggreggates float facet values from the provided `ValueSource`, and pulls ordinals from the provided `OrdinalsReader`.
      Throws:
        `IOException`

    - #### TaxonomyFacetSumValueSource

          public TaxonomyFacetSumValueSource(OrdinalsReader ordinalsReader,
                                             TaxonomyReader taxoReader,
                                             FacetsConfig config,
                                             FacetsCollector fc,
                                             DoubleValuesSource vs)
                                      throws IOException

      Aggreggates float facet values from the provided `DoubleValuesSource`, and pulls ordinals from the provided `OrdinalsReader`.
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.